Bug 905707 - gitweb is missing AppArmor option for snapshot generation
gitweb is missing AppArmor option for snapshot generation
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
13.2
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Takashi Iwai
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-17 09:36 UTC by tosiara tosiara
Modified: 2017-03-21 17:08 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tosiara tosiara 2014-11-17 09:36:26 UTC
Out of the box gitweb does not allow to create snapshots. 0 bytes file is sent to browser

This happens because gitweb is not allowed to execute "compressor" commands, like by default "/usr/bin/gzip". All available compressors must be added to AppArmor config:

vi /etc/apparmor.d/usr.share.git-web.gitweb.cgi

/usr/bin/gzip rix,
/usr/bin/bzip2 rix,
/usr/bin/zip rix,
/bin/tar rix,

After adding those lines to config file snapshots are being generated and sent to browser
Comment 1 Bernhard Wiedemann 2014-11-17 11:14:44 UTC
https://build.opensuse.org/request/show/262030
Comment 2 Bernhard Wiedemann 2014-11-18 11:16:21 UTC
Please submit git for 13.2 when appropriate so that this bug can be closed.
Comment 3 Takashi Iwai 2014-11-18 12:46:11 UTC
The fix was submitted to openSUSE 13.2, too.
Comment 4 Bernhard Wiedemann 2014-11-18 13:00:12 UTC
This is an autogenerated message for OBS integration:
This bug (905707) was mentioned in
https://build.opensuse.org/request/show/262153 13.2 / git
Comment 5 Swamp Workflow Management 2014-11-26 13:05:34 UTC
openSUSE-RU-2014:1505-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 905707
CVE References: 
Sources used:
openSUSE 13.2 (src):    git-2.1.2-5.1
Comment 6 Swamp Workflow Management 2017-03-21 17:08:58 UTC
SUSE-RU-2017:0784-1: An update that has 8 recommended fixes can now be installed.

Category: recommended (low)
Bug References: 1011169,905707,939065,942297,951153,961112,961292,977477
CVE References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    git-2.12.0-23.1
SUSE Linux Enterprise Software Development Kit 12-SP1 (src):    git-2.12.0-23.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    git-2.12.0-23.1
SUSE Linux Enterprise Server 12-SP2 (src):    git-2.12.0-23.1
SUSE Linux Enterprise Server 12-SP1 (src):    git-2.12.0-23.1
OpenStack Cloud Magnum Orchestration 7 (src):    git-2.12.0-23.1